/* Core styles */
.cfm_kiosk_subscribe_container {
    font-family: Arial, Helvetica, sans-serif;
    box-sizing: border-box;

    * {
        box-sizing: border-box;
    }
}

.cfm_inline {
    display: inline-block;
}

/* Hero */
.cfm_kiosk_subscribe_hero_container {
    margin: 3rem auto;
    max-width: 1400px;
    width: 100%;
    background: #FFF;
    border-radius: 10px;
}

.cfm_kiosk_subscribe_hero {
    border: solid 2px #7FBAD6;
    border-radius: 10px;
    padding: 60px 0;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    flex-wrap: wrap;
    /* gap: 1rem; */
}

.cfm_kiosk_subscribe_hero_image_container,
.cfm_kiosk_subscribe_hero_text_container {
    flex: 0 1 650px;
}

.cfm_kiosk_subscribe_hero_image_container {
    text-align: center;

    img {
        width: 100%;
        max-width: 472px;
        margin: 0 auto;
    }
}

.cfm_kiosk_subscribe_hero_text_container {
    padding: 0;
}

.cfm_kiosk_hero_title {
    text-transform: uppercase;
    font-size: 2rem;
    font-weight: bold;
    margin: 0;
}

.cfm_kiosk_hero_subtitle {
    color: #000000b3;
    font-size: 1.4rem;
    line-height: 1.5;
    letter-spacing: 0em;
    font-weight: 400;
}

.cfm_kiosk_hero_list {
    margin: 1rem 0;

    li {
        font-size: 1.2rem;
        margin-bottom: 0.25rem;
    }
}

/* Offers */
.cfm_kiosk_subscribe_offers_container {
    background: #00547A;
    width: 100%;
    padding: 3rem 0;
}

.cfm_kiosk_offers_header {
    color: #FFF;
    text-align: center;
    
    :is(&, &) * {
        color: #FFF !important;
    }
    
    :is(&, &) p {
        color: #FFF !important;
    }
    
    a {
        color: #ffcd2e !important;
        text-decoration: none;
    }
}

.cfm_kiosk_offer_boxes_container {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 3rem;
}

.cfm_kiosk_offer_box {
    background: #FFF;
    border-radius: 10px;
    text-align: center;
    max-width: 340px;
    box-shadow: 0.0px 3.0px 10px 5px rgba(0,0,0,0.2);
    padding: 0 1.2rem;
}

.cfm_kiosk_offer_badge {
    background: #E04A16;
    color: #FFF;
    padding: 8px 12px;
    font-size: 1.3rem;
    display: inline-block;
}

.cfm_kiosk_offer_title {
    color: #000000b3;
    font-size: 1.4rem;
    margin-top: 2rem;
    margin-bottom: 0.3rem;
}

.cfm_kiosk_offer_subtitle {
    color: #000000b3;
    font-size: 1.1rem;
    font-style: italic;
}

.cfm_kiosk_offer_price {
    display: inline-block;
    margin: 0 auto;
    margin-top: 2rem;
    margin-bottom: 2rem;
    font-size: 1.8rem;
    font-weight: bold;
    letter-spacing: -1px;
    text-align: left;

    sup {
        margin-right: -5px;
        margin-left: -5px;
    }
}

.cfm_kiosk_offer_price_dollars {
    font-size: 2.6rem;
}

.cfm_kiosk_offer_price_frequency {
    font-size: 1.5rem;
}

.cfm_kiosk_dollar_sign {
    margin-right: -3px !important;
    font-size: 2.4rem;
}

.cfm_kiosk_cent_sign {
    margin-left: -3px !important;
}

.cfm_kiosk_offer_hook {
    color: #000000b3;
    font-size: 1.2rem;
    font-weight: bold;
}

.cfm_kiosk_offer_disclaimer {
    font-size: 0.8rem;
    color: var(--p-text-muted);
    border-top: solid 1px #ddd;
    padding-top: 0.5rem;
    margin-bottom: 1rem;
    line-height: 17px;
}

.cfm_kiosk_offer_button {
    display: block;
    background: #0076AD;
    color: #FFF;
    padding: 0.75rem 0;
    border-radius: 500px;
    margin: 2rem 0;
    font-size: 1.3rem;
    cursor: pointer;
    text-decoration: none;

    &:hover {
        text-decoration: none;
        color: yellow;
    }
}

.cfm_kiosk_offer_features {
    margin-bottom: 2.5rem;
    display: block;

    ul {
        margin: 0;
        text-align: left;
        list-style-type: none;
        padding-left: 0;

        li {
            padding-left: 2.2rem;
            position: relative;
            margin-bottom: 1rem;

            &::before {
                content: "";
                position: absolute;
                left: 0;
                top: -2px;
                width: 24px;
                height: 24px;
                background-image: url('https://bloximages.chicago2.vip.townnews.com/daytondailynews.com/content/tncms/assets/v3/editorial/6/38/6386a36f-aece-4735-80fb-ec72fc823fda/6a19b841aaa27.image.png');
                background-size: contain;
                background-repeat: no-repeat;
            }
        }
    }
}

.cfm_kiosk_offers_fine_print {
    color: #FFF;
    font-size: 1rem;
    font-weight: normal;
    text-align: center;
    padding: 0 1.2rem;
    margin-top: 5rem;

    :is(&, &) p {
        color: #FFF !important;
        font-size: 1rem !important;
        line-height: 1.2rem !important;
    }

    a {
        color: #ffcd2e !important;
        text-decoration: none !important;
    }
}

/* Subscriber Benefits */
.cfm_kiosk_subscriber_benefits_container {
    margin: 2rem 0;
}

.cfm_kiosk_subscriber_benefits_title {
    font-size: 2rem;
    text-align: center;
    margin: 3rem 0;
}

.cfm_kiosk_benefits_boxes_container {
    margin: 0 auto;
    width: 100%;
    max-width: 900px;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 2rem;
}

.cfm_kiosk_benefits_box {
    width: 100%;
    max-width: 450px;
    flex: 0 0 calc(50% - 2rem); /* minus amount = gap from parent) */
    border: solid 2px #d0f0e4;
    border-radius: 10px;
    padding: 1.8rem 1.5rem;
    display: flex;
    align-items: flex-start;
    gap: 1rem;
    background: #FFF;
}

.cfm_kiosk_benefits_box_image_container {
    width: 87px;
    flex: 1;
    align-self: center;

    img {
        width: 100%;
    }
}

.cfm_kiosk_benefits_box_text_container {
    flex: 4;
}

.cfm_benefits_box_benefit_label {
    font-size: 1.4rem;
    margin-bottom: 0.6rem;
}

.cfm_benefits_box_benefit_description {
    color: #000000b3;
    font-size: 1.1rem;
    line-height: 1.3;
}

/* Responsive tweaks */
@media (max-width: 400px) {

    

}

@media (max-width: 750px) {

    .cfm_kiosk_subscribe_hero_text_container {
        padding: 0 1rem;
    }

    .cfm_kiosk_benefits_boxes_container {
        display: block;
        padding: 0 1rem;
    }

    .cfm_kiosk_benefits_box {
        display: block;
        width: 100%;
        margin: 1rem 0;
    }

    .cfm_kiosk_benefits_box_image_container {
        text-align: center;
        margin: 0 auto;
        margin-bottom: 1rem;

        img {
            display: block;
            width: 87px;
        }
    }

    .cfm_benefits_box_benefit_label {
        text-align: center;
    }
}

@media (max-width: 1400px) {

    

}